sc::KeyValValueString Class Reference
Inheritance diagram for sc::KeyValValueString:
[legend]
Collaboration diagram for sc::KeyValValueString:
[legend]

## Public Types

enum | Storage { Copy, Steal, Use }
Public Types inherited from sc::KeyValValue
enum | KeyValValueError { OK, WrongType }

## Public Member Functions

| KeyValValueString (const char *, KeyValValueString::Storage s=KeyValValueString::Use)
| KeyValValueString (char *, KeyValValueString::Storage s=KeyValValueString::Use)
| KeyValValueString (const KeyValValueString &)
KeyValValue::KeyValValueError | doublevalue (double &) const
KeyValValue::KeyValValueError | booleanvalue (int &) const
KeyValValue::KeyValValueError | floatvalue (float &) const
KeyValValue::KeyValValueError | charvalue (char &) const
KeyValValue::KeyValValueError | intvalue (int &) const
KeyValValue::KeyValValueError | sizevalue (size_t &) const
KeyValValue::KeyValValueError | pcharvalue (const char *&) const
KeyValValue::KeyValValueError | stringvalue (std::string &) const
void | print (std::ostream &o=ExEnv::out0()) const
Public Member Functions inherited from sc::KeyValValue
| KeyValValue (const KeyValValue &)
virtual KeyValValue::KeyValValueError | describedclassvalue (Ref< DescribedClass > &) const
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

The documentation for this class was generated from the following file:

- keyvalval.h